@echo off
set go32=driver drivers/vesadrv.vdr
copy >nul levels\tmpdevil.msn .. 
d %1 %2
:loop
if errorlevel 2 goto done
copy >nul levels\tmpdevil.rdl ..\tmpdevil.rdl 
cd ..
call descent
cd devil
d tmpdevil
goto loop
:done
if errorlevel 1 goto ok
echo Devil ended with an error. Here's the file devil.err:
type devil.err |more
:ok
if exist levels\tmpdevil.rdl del levels\tmpdevil.rdl
if exist ..\tmpdevil.rdl del ..\tmpdevil.rdl
del ..\tmpdevil.msn